using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity;
using GxPress.Result.App.FileLibrary;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IFileLibraryRepository : IRepository
    {
        Task<int> InsertAsync(FileLibrary request);

        Task<FileLibraryResult> GetFileLibraryByIdAsync(int id);

        Task<IEnumerable<FileLibraryResult>> GetFileLibraryByIdsAsync(string ids);
         /// <summary>
        /// 根据用户名获取电脑上传的数据
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<FileLibraryResult>> GetFileLibraryByUserIdAsync(int userId);
    }
}
